cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/approvals/approve" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved."
}
}'from exsited import build_client
client = build_client()
response = client.approvals.approve_approval(
{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvals.approveApproval({
approval: {entity: 'account', resource_id: 'ACC0001', note: 'Checked and approved.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvals->approveApproval([
'approval' => [
'entity' => 'account',
'resource_id' => 'ACC0001',
'note' => 'Checked and approved.',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvals().approveApproval(
Map.of(
"approval", Map.of(
"entity", "account",
"resource_id", "ACC0001",
"note", "Checked and approved.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Approvals.ApproveApprovalAsync(new Dictionary<string, object?>
{
["approval"] = new Dictionary<string, object?>
{
["entity"] = "account",
["resource_id"] = "ACC0001",
["note"] = "Checked and approved.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvals.approveApproval({
'approval': {
'entity': 'account',
'resource_id': 'ACC0001',
'note': 'Checked and approved.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Approvals().ApproveApproval(context.Background(), map[string]any{
"approval": map[string]any{
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Approvals
Approve a pending approval
Approves a pending approval and runs the action it holds.
POST
/
approvals
/
approve
cURL
curl -X POST "$EXSITED_BASE_URL/api/v4/approvals/approve" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved."
}
}'from exsited import build_client
client = build_client()
response = client.approvals.approve_approval(
{
"approval": {
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved.",
}
}
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.approvals.approveApproval({
approval: {entity: 'account', resource_id: 'ACC0001', note: 'Checked and approved.'},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->approvals->approveApproval([
'approval' => [
'entity' => 'account',
'resource_id' => 'ACC0001',
'note' => 'Checked and approved.',
],
]);
print_r($response->data);
import com.exsited.Dto;
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<Dto> response = client.approvals().approveApproval(
Map.of(
"approval", Map.of(
"entity", "account",
"resource_id", "ACC0001",
"note", "Checked and approved.")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Approvals.ApproveApprovalAsync(new Dictionary<string, object?>
{
["approval"] = new Dictionary<string, object?>
{
["entity"] = "account",
["resource_id"] = "ACC0001",
["note"] = "Checked and approved.",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.approvals.approveApproval({
'approval': {
'entity': 'account',
'resource_id': 'ACC0001',
'note': 'Checked and approved.',
},
});
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Approvals().ApproveApproval(context.Background(), map[string]any{
"approval": map[string]any{
"entity": "account",
"resource_id": "ACC0001",
"note": "Checked and approved.",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
Send the record to approve wrapped in
approval, with its entity, its resource_id and a note. One route serves every entity. The held action runs and notifications go out straight away.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.